### Method

# Handy TabBar set_extra_drag_dest_targets

since: 1.2

#### Declaration [src]

    void
    hdy_tab_bar_set_extra_drag_dest_targets (
      HdyTabBar* self,
      GtkTargetList* extra_drag_dest_targets
    )

#### Description [src]

Sets extra drag destination targets.

This allows to drag arbitrary content onto tabs, for example URLs in a web browser.

If a tab is hovered for a certain period of time while dragging the content, it will be automatically selected.

After content is dropped, the `HdyTabBar::extra-drag-data-received` signal can be used to retrieve and process the drag data.

Available since: 1.2

Sets property | `Handy.TabBar:extra-drag-dest-targets`

#### Parameters

`extra_drag_dest_targets`

  Type: `GtkTargetList`

  Extra drag targets.

  The argument can be `NULL`.
  The data is owned by the caller of the method.